Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] Libtool for 1.3 / trunk builds
From: Brian W. Barrett (brbarret_at_[hidden])
Date: 2008-03-19 16:05:15


True - I have no objection to waiting for 2.2.1 or 1.3 to be branched,
whichever comes first. The main point is that under no circumstance
should 1.3 be shipped with the same 2.1a pre-release as 1.2 uses -- it's
time to migrate to something stable.

Brian

On Wed, 19 Mar 2008, Jeff Squyres wrote:

> Should we wait for the next LT point release? I see a fair amount of
> activity on the bugs-libtool list; I think they're planning a new
> release within the next few weeks.
>
> (I think we will want to go to the LT point release when it comes out;
> I don't really have strong feelings about going to 2.2 now or not)
>
>
>
> On Mar 19, 2008, at 12:26 PM, Brian W. Barrett wrote:
>
>> Hi all -
>>
>> Now that Libtool 2.2 has gone stable (2.0 was skipped entirely), it
>> probably makes sense to update the version of Libtool used to build
>> the
>> nightly tarball and releases for the trunk (and eventually v1.3)
>> from the
>> nightly snapshot we have been using to the stable LT 2.2 release.
>>
>> I've done some testing (ie, I installed LT 2.2 for another project,
>> and
>> nothing in OMPI broke over the last couple of weeks), so I have some
>> confidence this should be a smooth transition. If the group decides
>> this
>> is a good idea, someone at IU would just have to install the new LT
>> version and change some symlinks and it should all just work...
>>
>> Brian
>> _______________________________________________
>> devel mailing list
>> devel_at_[hidden]
>> http://www.open-mpi.org/mailman/listinfo.cgi/devel
>
>
>